List transactional clicks
Returns a paginated list of transactional campaign link clicks.
Endpoint
Section titled “Endpoint”HTTP method: GET
https://api.sender.net/v2/transactional/{id}/clicks?limit=10&page=1&direction=desc
Parameters
Section titled “Parameters”| Parameter | Type | Description |
|---|---|---|
id | string required | Transactional campaign ID. |
limit | integer | How many records should be returned on each page. |
page | integer | Page number to return. |
email_address | string | Filter by recipient email address. |
order | string | Column to sort by. The id column is mapped to created. |
direction | string | Sort direction. Use asc or desc. |
Request Examples
Section titled “Request Examples”const url = new URL("https://api.sender.net/v2/transactional/{id}/clicks?limit=10&page=1&direction=desc");
let headers = { "Authorization": "Bearer [your-token]", "Content-Type": "application/json", "Accept": "application/json",};
fetch(url, { method: "GET", headers,}).then(response => response.json()).then(data => console.log(data)).catch(error => console.error('Error:', error));$client = new \GuzzleHttp\Client();$response = $client->get( 'https://api.sender.net/v2/transactional/{id}/clicks?limit=10&page=1&direction=desc', [ 'headers' => [ 'Authorization' => 'Bearer [your-token]', 'Content-Type' => 'application/json', 'Accept' => 'application/json', ], ]);
$body = $response->getBody()->getContents();$data = json_decode($body, true);print_r($data);import requestsimport json
url = "https://api.sender.net/v2/transactional/{id}/clicks?limit=10&page=1&direction=desc"
headers = { "Authorization": "Bearer [your-token]", "Content-Type": "application/json", "Accept": "application/json",}
response = requests.request('GET', url, headers=headers)
print(response.json())curl -X GET \-G "https://api.sender.net/v2/transactional/{id}/clicks?limit=10&page=1&direction=desc" \-H "Authorization: Bearer [your-token]" \-H "Content-Type: application/json" \-H "Accept: application/json"Response
Section titled “Response”{ "data": [ { "emailId": null, "created": "2025-07-24 19:13:45", "subscriber_id": "aMYlw5", "account_id": "boEyke", "url": "https://example.com/order/123", "link_id": "bkRz2N" } ], "links": { "first": "https://api.sender.net/v2/transactional/dN0ol8/clicks?page=1", "last": "https://api.sender.net/v2/transactional/dN0ol8/clicks?page=1", "prev": null, "next": null }, "meta": { "current_page": 1, "from": 1, "last_page": 1, "path": "https://api.sender.net/v2/transactional/dN0ol8/clicks", "per_page": 10, "to": 1, "total": 1 }}